> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Aggiorna segmento della trascrizione del doppiaggio

PATCH https://api.elevenlabs.io/v1/dubbing/project/{project_id}/transcript/segment/{segment_id}
Content-Type: application/json

Solo Enterprise. Modifica il testo, lo speaker o la temporizzazione di un segmento di origine. I campi omessi rimangono invariati. Incrementa la `revision` del progetto, elimina le traduzioni interessate in ogni lingua di destinazione e contrassegna come `stale` ogni destinazione già completata. L'audio non cambia finché non rigeneri una destinazione.

Reference: https://elevenlabs.io/docs/api-reference/dubbing/source-transcript/update-source-segment

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `project_id` (string, required) — Identificatore del progetto di doppiaggio.
- `segment_id` (string, required) — Identificatore del segmento da modificare.

### Body (application/json)

This endpoint expects a DubbingSegmentUpdateRequest.

- `text` (string, optional, nullable) — Nuovo testo per il segmento.
- `speaker_id` (string, optional, nullable) — Nuovo ID dell'interlocutore per il segmento.
- `start_s` (double, optional, nullable) — Nuovo orario di inizio, in secondi.
- `end_s` (double, optional, nullable) — Nuovo orario di fine, in secondi.

## Response

### 200

Risposta riuscita

- `segment` (DubbingTranscriptSegment, required) — Il segmento nel suo stato aggiornato.
- `revision` (integer, required) — La revisione della trascrizione sorgente del progetto dopo questa modifica.

## Errors

### 422 Unprocessable Entity Error

Errore di convalida

- `detail` (list of ValidationError, optional)

## Types

### DubbingTranscriptSegment

Un segmento di una trascrizione di origine.

- `id` (string, required) — Identificatore stabile del segmento, utilizzato per riferirsi a esso nelle richieste di modifica.
- `text` (string, required) — Il testo trascritto del segmento.
- `speaker_id` (string, required) — Identificatore dell'interlocutore del segmento.
- `start_s` (double, required) — Ora di inizio del segmento, in secondi.
- `end_s` (double, required) — Ora di fine del segmento, in secondi.
- `external_id` (string, optional, nullable) — L'ID esterno fornito dal chiamante per questo segmento, se specificato.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "text": "Welcome to our latest product demo."
}
```

**Response**

```json
{
  "segment": {
    "id": "0199a3f0-1c2d-7abc-8def-0123456789ab",
    "text": "Welcome to our latest product demo.",
    "speaker_id": "default_speaker",
    "start_s": 0,
    "end_s": 2.5
  },
  "revision": 4
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab"

payload = { "text": "Welcome to our latest product demo." }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"text":"Welcome to our latest product demo."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab"

	payload := strings.NewReader("{\n  \"text\": \"Welcome to our latest product demo.\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"text\": \"Welcome to our latest product demo.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab")
  .header("Content-Type", "application/json")
  .body("{\n  \"text\": \"Welcome to our latest product demo.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab', [
  'body' => '{
  "text": "Welcome to our latest product demo."
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"text\": \"Welcome to our latest product demo.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["text": "Welcome to our latest product demo."] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/dubbing/project/proj_1601kwkyxp0hfzvtmyxwqxx6mcy3/transcript/segment/0199a3f0-1c2d-7abc-8def-0123456789ab")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```